Redmine - Feature #17628
Expose project is_public property via API
2014-08-07 22:13 - Michal Ciasnocha

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Baptiste Barth % Done: 0%
Category: REST API Estimated time: 0.00 hour
Target version: 2.6.0

Resolution: Fixed

Description

It would be nice to have a project flag is_public to be returned in a REST API response.

Associated revisions

Revision 13339 - 2014-08-15 11:57 - Jean-Baptiste Barth
Add project is_public to GET /projects/:id and /projects API response (#17628).

Contributed by Michael Esemplare <michael.esemplare@gmail.com>

History

#1 - 2014-08-09 15:48 - Alex Last

Michal Ciasnocha wrote:

It would be nice to have a project flag is_public to be returned in a REST API response.

+1 on this request. the REST response should include this parameter.

#2 - 2014-08-14 13:08 - Michael Esemplare
- File 0001-Adds-project-is_public-to-GE T-projects-id-and-projec.patch added
Uploaded a patch to provide this feature.

The patch will be kept up to date in this feature branch:
https://github.com/esemplare/redmine/tree/feature 17628

This patch is against redmine/trunk.

#3 - 2014-08-15 11:58 - Jean-Baptiste Barth
- Status changed from New to Closed

- Assignee set to Jean-Baptiste Barth

- Target version set to 2.6.0

- Resolution set to Fixed

Thanks for the contribution Michael ! | added it in r13339 and it should be included in Redmine 2.6.0.

Files

0001-Adds-project-is_public-to-GET-projects-id-and-projec.patch 2.45 KB 2014-08-14
